Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359528 - [abrt] copyq: QCoreApplication::notifyInternal2(): copyq killed by SIGSEGV
Summary: [abrt] copyq: QCoreApplication::notifyInternal2(): copyq killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: copyq
Version: 24
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d262984b29de8579454d432a835...
Depends On: 1397608
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-24 18:13 UTC by Sudhir Khanger
Modified: 2016-11-23 03:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 20:54:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: cgroup (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: core_backtrace (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: dso_list (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: environ (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: exploitable (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: limits (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: maps (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: mountinfo (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: namespaces (deleted)
2016-07-24 18:13 UTC, Sudhir Khanger
no flags Details
File: open_fds (deleted)
2016-07-24 18:14 UTC, Sudhir Khanger
no flags Details
File: proc_pid_status (deleted)
2016-07-24 18:14 UTC, Sudhir Khanger
no flags Details
File: var_log_messages (deleted)
2016-07-24 18:14 UTC, Sudhir Khanger
no flags Details


Links
System ID Priority Status Summary Last Updated
Github hluk CopyQ issues 520 None None None 2016-07-24 19:22:35 UTC

Description Sudhir Khanger 2016-07-24 18:13:36 UTC
Description of problem:
I copied something and the error popped up.

Version-Release number of selected component:
copyq-2.7.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/copyq eval -- ' if (monitoring()) {updateFirst()}'
crash_function: QCoreApplication::notifyInternal2
executable:     /usr/bin/copyq
global_pid:     21261
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015
 #1 QCoreApplication::sendEvent at kernel/qcoreapplication.h:225
 #2 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1650
 #3 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1508
 #4 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:270
 #8 g_main_context_iteration at gmain.c:3901
 #9 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:417
 #10 QEventLoop::exec at kernel/qeventloop.cpp:204
 #11 QThread::exec at thread/qthread.cpp:500
 #12 QThreadPrivate::start at thread/qthread_unix.cpp:341

Potential duplicate: bug 1336133

Comment 1 Sudhir Khanger 2016-07-24 18:13:41 UTC
Created attachment 1183433 [details]
File: backtrace

Comment 2 Sudhir Khanger 2016-07-24 18:13:43 UTC
Created attachment 1183434 [details]
File: cgroup

Comment 3 Sudhir Khanger 2016-07-24 18:13:45 UTC
Created attachment 1183435 [details]
File: core_backtrace

Comment 4 Sudhir Khanger 2016-07-24 18:13:47 UTC
Created attachment 1183436 [details]
File: dso_list

Comment 5 Sudhir Khanger 2016-07-24 18:13:49 UTC
Created attachment 1183437 [details]
File: environ

Comment 6 Sudhir Khanger 2016-07-24 18:13:51 UTC
Created attachment 1183438 [details]
File: exploitable

Comment 7 Sudhir Khanger 2016-07-24 18:13:52 UTC
Created attachment 1183439 [details]
File: limits

Comment 8 Sudhir Khanger 2016-07-24 18:13:55 UTC
Created attachment 1183440 [details]
File: maps

Comment 9 Sudhir Khanger 2016-07-24 18:13:57 UTC
Created attachment 1183441 [details]
File: mountinfo

Comment 10 Sudhir Khanger 2016-07-24 18:13:59 UTC
Created attachment 1183442 [details]
File: namespaces

Comment 11 Sudhir Khanger 2016-07-24 18:14:01 UTC
Created attachment 1183443 [details]
File: open_fds

Comment 12 Sudhir Khanger 2016-07-24 18:14:03 UTC
Created attachment 1183444 [details]
File: proc_pid_status

Comment 13 Sudhir Khanger 2016-07-24 18:14:05 UTC
Created attachment 1183445 [details]
File: var_log_messages

Comment 14 Gerald Cox 2016-07-24 19:06:45 UTC
(In reply to Sudhir Khanger from comment #13)
> Created attachment 1183445 [details]
> File: var_log_messages

You should probably report this to Lukas and reference the github# in the external bug tracker, i.e. hluk/CopyQ/issues/nnn

Comment 15 mvantreek 2016-09-26 21:41:01 UTC
*** Bug 1379473 has been marked as a duplicate of this bug. ***

Comment 16 Gerald Cox 2016-11-22 20:54:34 UTC
Should be fixed in 2.8 - see: 
https://github.com/hluk/CopyQ/issues/424


Note You need to log in before you can comment on or make changes to this bug.